$ memescore docs usage

GET /v1/usage — Check your remaining quota

API docs
GET /v1/usage

How many checks your account has left today and this minute. Use it to pace a bot before you hit a 429.

Parameters

None.

Example request

curl

curl -s "https://memescore.io/v1/usage" \
  -H "Authorization: Bearer ak_live_YOUR_KEY"

JavaScript (Node 18+ or Deno; server-side)

const res = await fetch("https://memescore.io/v1/usage",
  { headers: { Authorization: "Bearer " + process.env.MEMESCORE_KEY } });
if (res.status === 429) {
  const wait = Number(res.headers.get("Retry-After") || 60);
  // back off for `wait` seconds, then retry
}
const data = await res.json();
console.log(data);

Python

import os, requests

r = requests.get(
    "https://memescore.io/v1/usage",
    headers={"Authorization": "Bearer " + os.environ["MEMESCORE_KEY"]},
    timeout=20,
)
if r.status_code == 429:
    print("retry after", r.headers.get("Retry-After"), "seconds")
else:
    print(r.json())

Example response

{
  "limit_day": 1500,
  "remaining_day": 1432,
  "limit_min": 60,
  "remaining_min": 60,
  "reset": 1795046400,
  "plan": "api"
}

reset is the Unix time of the next 00:00 UTC. The minute window is rolling (last 60 seconds).

Errors

StatusWhen
401"Missing or invalid API key."